Skip to Content
Signature requests

Update Signature Request Draft

Toegang

Lid van de organisatie met dit recht:

  • signature-requests:manage

Een API-sleutel met scopes heeft het recht ook in zijn scopes nodig.

PATCH
/orgs/{organizationId}/signature-requests/{requestId}

Replaces the title, message, expiry, signers (in signing order) and signature fields of a draft. Sent requests cannot be edited.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

requestId*string
Length1 <= length

Request Body

application/json
  1. body
title*string
Length1 <= length <= 160
message*|null
expiresAt*string
Formatdate-time
reminderAfterDays*integer
Range1 <= value <= 14
signers*array<|||>
Itemsitems <= 10
fields*array<>
Itemsitems <= 500

Response Body

OK

application/json
  1. response
Example Request
curl -X PATCH 'https://api.tillor.eu/orgs//signature-requests/string' \  -H 'Content-Type: application/json' \  -d '{  "title": "string",  "message": "string",  "expiresAt": "2019-08-24T14:15:22Z",  "reminderAfterDays": 1,  "signers": [    {      "key": "string",      "kind": "CUSTOMER"    }  ],  "fields": [    {      "signerKey": "string",      "kind": "SIGNATURE",      "page": 0,      "x": 0,      "y": 0,      "width": 0.01,      "height": 0.01,      "pageWidthPt": 1,      "pageHeightPt": 1    }  ]}'
Example Response
null